Subject: Re: [net-next.git 5/8] stmmac: get/set coalesce parameters via ethtool

From: Giuseppe CAVALLARO <[email-masked]>
Date: Tue, 11 Sep 2012 08:58:02 +0200

Hello Ben

On 9/10/2012 6:45 PM, Ben Hutchings wrote:
> You should also check that the settings you don't support
> (rx_max_coalesced_frames, use_adaptive_rx_coalesce,
> use_adaptive_tx_coalesce, *_irq) are equal to 0.  (This isn't done
> consistently in all drivers - but I believe best practice is to reject
> rather than quietly ignoring settings you don't support.)

Agreed. I've added this check in ethtool and now, for example, I get the
following on un-supported setting

$ ethtool -C eth0 tx-usecs-irq 50
Cannot set device ring parameters: Operation not supported
$ ethtool -C eth0 tx-usecs-irq 0
tx-usecs-irq unmodified, ignoring
no ring parameters changed, aborting

> 
> I don't have time to review the other changes properly, but at a quick
> look they seem to be OK.

Thanks a lot

peppe

> Ben.